Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.certclient
Class PkEeCertReq10Factory

    java.lang.Object
      com.ibm.security.certclient.PkEeFactory
          com.ibm.security.certclient.PkEeCertReq10Factory

    public final class PkEeCertReq10Factory

extends PkEeFactory

Produce a certificate request transaction using an existing PKCS10 formatted request as the data source.

Field Summary

Fields inherited from class com.ibm.security.certclient.PkEeFactory
`CA_DN, caDn, caPort, cmpEvntFmt, keystoreFilename, keystorePwd, keyStoreType, provider`

Method Summary
`static PkEeReqTransaction` | `newCertRequestPKCS10(String certFile, String iaFile, String revoPwd)` Initiate a certificate request using an already created PKCS10 request.

Methods inherited from class com.ibm.security.certclient.PkEeFactory
`getCA_DN, getCaDn, getCaPort, getCmpFmt, getKeystoreFilename, getKeyStoreType, getProvider, setCA_DN, setCaDn, setCaPort, setKeystoreFilename, setKeystorePwd, setKeyStoreType, setProvider`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newCertRequestPKCS10

    public static PkEeReqTransaction newCertRequestPKCS10(String certFile,
                                                          String iaFile,
                                                          String revoPwd)
                                                   throws com.ibm.security.certclient.base.PkException

  Initiate a certificate request using an already created PKCS10 request.

  Parameters:
    `certFile` - path/name of file containing certificate request in b64 format
    `iaFile` - initial authorisation file containing reference number and passphrase on consecutive lines
    `revoPwd` - password to be used when revoking this certificate after it has been signed
  Throws:
    `com.ibm.security.certclient.base.PkException` - parameter error

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD